dpkg-scansources(1)

NOM
dpkg-scansources - Crée des fichiers d'index de sources

SYNOPSIS
dpkg-scansources [option...] rep-de-binaires [fichier-override [préfixe-chemin]] > Sources

DESCRIPTION
dpkg-scansources recherche des fichiers .dsc dans le répertoire rep-de-binaires indiqué. Ces fichiers sont utilisés pour créer un index de sources Debian, qui est envoyé sur la sortie standard.

The override-file, if given, is used to set priorities in the resulting index records and to override the maintainer field given in the .dsc files. The file can be compressed (since dpkg 1.15.5). See deb-override(5) for the format of this file.

Note: Since the override file is indexed by binary, not source packages, there's a bit of a problem here. The current implementation uses the highest priority of all the binary packages produced by a .dsc file for the priority of the source package, and the override entry for the first binary package listed in the .dsc file to modify maintainer information. This might change.

Le préfixe-chemin, s'il est indiqué, est ajouté au début du champ Directory (« répertoire ») dans l'index des sources généré. C'est, en règle générale, utilisé pour que le champ Directory contienne un chemin depuis la racine de l'archive Debian.

Note: If you want to access the generated Sources file with apt(8) you will probably need to compress the file with gzip(1) (generating a Sources.gz file). apt(8) ignores uncompressed Sources files except on local access (i.e. file:// sources).

OPTIONS

-n, --no-sort
    Ne trie pas les entrées de l'index. Elles sont d'habitude triées en fonction du nom du paquet source.

-e, --extra-override fichier
    Examine fichier à la recherche d'« overrides » supplémentaires (depuis dpkg 1.15.4 ; ce fichier peut être compressé depuis dpkg 1.15.5). Voir deb-extra-override(5) pour plus d'information sur le format utilisé.

-s, --source-override fichier
    Utilise fichier comme fichier override des sources (ce fichier peut être compressé depuis dpkg 1.15.5). La valeur par défaut est le nom du fichier override indiqué auquel est ajoutée l'extension .src.

    Le format des fichiers override des sources est différent des fichiers override des binaires. Il ne contient que deux champs séparés par des espaces, le premier indique le paquet source et le second, la section. Les lignes blanches et les lignes de commentaire sont ignorées comme à l'habitude. Si un paquet apparaît dans chaque fichier, le fichier des sources est prioritaire pour fixer la section.

--debug
    Active le débogage.

--help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

ENVIRONNEMENT

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

VOIR AUSSI
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.